package com.yiqi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.system.domain.SysConfigTab;
import com.yiqi.system.domain.SysDataGroup;

/**
 * 组合数据Service接口
 *
 * @author douya
 * @date 2024-10-29
 */
public interface ISysDataGroupService extends IService<SysDataGroup> {

    /**
     * 查询组合数据
     *
     * @param id 组合数据主键
     * @return 组合数据
     */
    public SysDataGroup selectSysDataGroupById(Integer id);

    /**
     * 查询组合数据
     *
     * @param id 组合数据主键
     * @return 组合数据
     */
    public SysDataGroup selectSysDataGroupByKey(String key);

    /**
     * 查询组合数据列表
     *
     * @param sysDataGroup 组合数据
     * @return 组合数据集合
     */
    public List<SysDataGroup> selectSysDataGroupList(SysDataGroup sysDataGroup);

    /**
     * 新增组合数据
     *
     * @param sysDataGroup 组合数据
     * @return 结果
     */
    public int insertSysDataGroup(SysDataGroup sysDataGroup);

    /**
     * 修改组合数据
     *
     * @param sysDataGroup 组合数据
     * @return 结果
     */
    public int updateSysDataGroup(SysDataGroup sysDataGroup);

    /**
     * 批量删除组合数据
     *
     * @param ids 需要删除的组合数据主键集合
     * @return 结果
     */
    public int deleteSysDataGroupByIds(Integer[] ids);

    /**
     * 删除组合数据信息
     *
     * @param id 组合数据主键
     * @return 结果
     */
    public int deleteSysDataGroupById(Integer id);

}
